diff -urN 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/Ymload.cpp 06-STYMulator-0.21a_const_char/src/stsoundlib/Ymload.cpp
--- 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/Ymload.cpp	2010-04-23 23:55:34.125624856 +0200
+++ 06-STYMulator-0.21a_const_char/src/stsoundlib/Ymload.cpp	2010-04-23 23:55:54.885650908 +0200
@@ -51,7 +51,7 @@
 		}
 }
 
-char	*mstrdup(char *in)
+char	*mstrdup(const char *in)
 {
 		char *out = (char*)malloc(strlen(in)+1);
 		if (out) strcpy(out,in);
diff -urN 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/YmMusic.cpp 06-STYMulator-0.21a_const_char/src/stsoundlib/YmMusic.cpp
--- 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/YmMusic.cpp	2010-04-21 18:39:11.989503790 +0200
+++ 06-STYMulator-0.21a_const_char/src/stsoundlib/YmMusic.cpp	2010-04-21 18:45:52.572568629 +0200
@@ -167,12 +167,12 @@
 		return getAttrib()&A_TIMECONTROL;
 }
 
-void	CYmMusic::setLastError(char *pError)
+void	CYmMusic::setLastError(const char *pError)
 {
 		pLastError = pError;
 }
 
-char	*CYmMusic::getLastError(void)
+const char *CYmMusic::getLastError(void)
 {
 		return pLastError;
 }
diff -urN 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/YmMusic.h 06-STYMulator-0.21a_const_char/src/stsoundlib/YmMusic.h
--- 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/stsoundlib/YmMusic.h	2010-04-21 18:39:11.989503790 +0200
+++ 06-STYMulator-0.21a_const_char/src/stsoundlib/YmMusic.h	2010-04-21 18:46:21.141501987 +0200
@@ -143,7 +143,7 @@
 	int		getAttrib(void);
 	void	getMusicInfo(ymMusicInfo_t *pInfo);
 	void	setLoopMode(ymbool bLoop);
-	char	*getLastError(void);
+	const char	*getLastError(void);
 	int		 readYmRegister(ymint reg)		{ return ymChip.readRegister(reg); }
 
 //-------------------------------------------------------------
@@ -159,7 +159,7 @@
 
 	void	setPlayerRate(int rate);
 	void	setAttrib(int _attrib);
-	void	setLastError(char *pError);
+	void	setLastError(const char *pError);
 	ymu8 *depackFile(void);
 	ymbool	deInterleave(void);
 	void	readYm6Effect(ymu8 *pReg,int code,int prediv,int count);
@@ -168,7 +168,7 @@
 
 
 	CYm2149Ex	ymChip;
-	char	*pLastError;
+	const char	*pLastError;
 	ymFile_t	songType;
 	int		nbFrame;
 	int		loopFrame;
diff -urN 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/ym2wav.cpp 06-STYMulator-0.21a_const_char/src/ym2wav.cpp
--- 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/ym2wav.cpp	2010-04-21 18:39:11.989503790 +0200
+++ 06-STYMulator-0.21a_const_char/src/ym2wav.cpp	2010-04-21 18:49:13.609474360 +0200
@@ -71,7 +71,7 @@
 
 int main(int argc, char* argv[])
 {
-	char *platform;
+	const char *platform;
 
 	if (PLATFORM)
 		platform = "64bit";
diff -urN 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/ymplayer.cpp 06-STYMulator-0.21a_const_char/src/ymplayer.cpp
--- 05-STYMulator-0.21a_signed_vs_unsigned_cmp/src/ymplayer.cpp	2010-04-21 18:39:11.989503790 +0200
+++ 06-STYMulator-0.21a_const_char/src/ymplayer.cpp	2010-04-21 18:48:54.717472001 +0200
@@ -55,7 +55,7 @@
 bool ff = false;
 bool rew = false;
 	
-char *platform;
+const char *platform;
 
 	if (PLATFORM)
 		platform = "64bit";
